* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


 /* Set the default color and font family */
body {
    background-color: rgb(223, 221, 221);
    color: #ec7e00;
    font-family: Helvetica, Arial, sans-serif;
}


header {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 10px 20px;
    background-color: rgb(7, 79, 146);
}


header h1 {
    color: #ec7e00;
    /* background-color: #A29ECD; */
    padding: 1px;
}


header nav {
    margin: 7px 0;
}


header nav a {
    text-decoration: none;
    color: #ec7e00;
}


header nav ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    list-style: none;
}


 header nav ul li a {
    border-bottom: 2px solid #ec7e00;
    margin: 0 10px;
    padding: 5px 15px;
    font-weight: lighter;
    font-size: 1.33vw;
}


.hero {
    background-image: url("../images/hero.jpg");
    height: 250px;
    display: flex;
    justify-content: flex-end;
    flex-wrap: wrap;
    align-items: flex-end;
}


.hero h2 {
    color: rgb(7, 79, 146);
    background-color: #ec7e00;
    margin: 20px 80px;
    padding: 10px;
}


section {
    display: flex;
    padding: 20px 30px;
}


.section-head {
    display: flex;
    justify-content: flex-end;
    min-width: 250px;
    min-height: 100px;
    font-size: 22px;
    padding-right: 10px;
    border-right: 5px solid rgb(7, 79, 146);
}


.section-content {
    display: flex;
    margin-left: 30px;
}


.section-title {
    text-align: right;
}


#project-display {
    display: grid;
    grid-gap: 15px;
    min-width: 800px;
    padding-left: 30px;
    grid-template-columns: repeat(3, 1fr);
}


#project-display p {
    background-color: rgba(16, 116, 209, 0.9);
    padding: 10px;
    color: white;
}


#project-display p:hover {
    color: #ec7e00;
}


#project-display a {
    text-decoration: none;
}


#showcase {
    grid-column: 1 / 3;
    grid-row: 1 / 3;
    background-image: url("../images/daily_dashboard_ss.png");
    min-height: 250px;
    background-position: center;
    background-size: cover;      
}


#rank-2 {
    grid-column: 1 / 2;
    grid-row: 3 / 4;
    background-image: url("../images/password_generator_ss.png");
    min-height: 200px;
    background-position: center;
    background-size: cover;
}


#rank-3 {
    grid-column: 2 / 3;
    grid-row: 3 / 4;
    background-image: url("../images/freebiez_ss.png");
    min-height: 200px;
    background-position: center;
    background-size: cover;
}


#rank-4 {
    grid-column: 3 / 4;
    grid-row: 1 / 2;
    background-image: url("../images/proj-1.jpg");
    min-height: 200px;
    background-position: center;
    background-size: cover;
}


#rank-5 {
    grid-column: 3 / 4;
    grid-row: 2 / 3;
    background-image: url("../images/proj-2.jpg");
    min-height: 200px;
    background-position: center;
    background-size: cover;
}